Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class ContextElement

    java.lang.Object
      |
      +--weblogic.security.service.ContextElement

public class ContextElement
extends java.lang.Object

A `ContextElement` is an object used to represent a named value that is used in a `ContextHandler`.

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ContextElement(java.lang.String name)` Creates a `ContextElement` with the specified name.
`ContextElement(java.lang.String name, java.lang.Object value)` Creates a `ContextElement` with the specified name and value.

Method Summary
`java.lang.String` | `getName()` Gets the name of the `ContextElement`.
`java.lang.Object` | `getValue()` Gets the value of the `ContextElement`.
`void` | `setValue(java.lang.Object value)` Sets the value of the `ContextElement`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextElement

    public ContextElement(java.lang.String name)

  Creates a `ContextElement` with the specified name.

  Parameters:
    `name` - the name of the `ContextElement`, represented as a String.

### ContextElement

    public ContextElement(java.lang.String name,
                          java.lang.Object value)

  Creates a `ContextElement` with the specified name and value.

  Parameters:
    `name` - the name of the `ContextElement`, represented as a String.

    `value` - an `Object` that contains the value of the `ContextElement`.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the `ContextElement`.

  Returns:
    the name of the `ContextElement`, represented as a String.

### getValue

    public java.lang.Object getValue()

  Gets the value of the `ContextElement`.

  Returns:
    an `Object` that contains the value of the `ContextElement`. The caller is responsible for knowing the data type of the value.

  See Also:
    `setValue(java.lang.Object)`

### setValue

    public void setValue(java.lang.Object value)

  Sets the value of the `ContextElement`.

  Parameters:
    `value` - an `Object` that contains the value of the `ContextElement`.

  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference